Skip to content

Arrived at Dropoff (arrived_dropoff)

POST https://my-api.example.com/first-delivery/webhook

status_v3: arrived_dropoff · status: AtDestination

The driver has arrived at the customer’s location.

If completed follows within ~10 seconds this event can be skipped, so don’t require it before accepting completed.

{
"orderId": "5b1f3c20-0e4a-11f1-8c2d-3f9a7e6b1d42",
"orderNumber": 7414,
"externalId": "ABC-123456",
"status": "AtDestination",
"status_v3": "arrived_dropoff",
"driverName": "Jordan P.",
"driverPhoneNumber": "+15555550123",
"transportType": "Car",
"latitude": 40.7527,
"longitude": -73.9772,
"estimatedPickupTime": "2026-10-01T13:26:40.000Z",
"estimatedDropoffTime": "2026-10-01T13:38:20.000Z",
"trackerLink": "https://trackdelivery.io/?orderId=5b1f3c20-0e4a-11f1-8c2d-3f9a7e6b1d42",
"dspTrackerLink": "https://track.example-dsp.com/d/8f2c41",
"trackerLinkFleet": "https://track.example-dsp.com/d/8f2c41",
"fleetName": "Example Fleet"
}
Terminal window
curl --request POST 'https://my-api.example.com/first-delivery/webhook' \
--header 'Content-Type: application/json' \
--data '{
"orderId": "5b1f3c20-0e4a-11f1-8c2d-3f9a7e6b1d42",
"orderNumber": 7414,
"externalId": "ABC-123456",
"status": "AtDestination",
"status_v3": "arrived_dropoff",
"driverName": "Jordan P.",
"driverPhoneNumber": "+15555550123",
"transportType": "Car",
"latitude": 40.7527,
"longitude": -73.9772,
"estimatedPickupTime": "2026-10-01T13:26:40.000Z",
"estimatedDropoffTime": "2026-10-01T13:38:20.000Z",
"trackerLink": "https://trackdelivery.io/?orderId=5b1f3c20-0e4a-11f1-8c2d-3f9a7e6b1d42",
"dspTrackerLink": "https://track.example-dsp.com/d/8f2c41",
"trackerLinkFleet": "https://track.example-dsp.com/d/8f2c41",
"fleetName": "Example Fleet"
}'